local function GetKey2(Button,Gametype,Player)
	if FILEMAN:DoesFileExist("Save/Keymaps.ini") then
		local keyini = IniFile.ReadFile("Save/Keymaps.ini");
		str = string.match(keyini[Gametype][Player.."_"..Button]..":", "Key_(.-):");
		if str then
			return str;
		else
			return Button;
		end;
	else
		return Button;
	end;
end;

--[[local function GetKey(Button,Gametype,Player) 
	if FILEMAN:DoesFileExist("Save/Keymaps.ini") then
		local keyini = RageFileUtil.CreateRageFile(); 
		keyini:Open("Save/Keymaps.ini",1); 
		keyread = keyini:Read();
		keyini:Close(); 
		local ReadChar = {};
		local TempChar;
		local i = 1;
		local v, v2, v3, v4, v5; -- I'm sorry :< -Jousway
		for c in string.gmatch(keyread,"(.-)%\n") do --change string in to lines and put them in table
			v = string.match(c, "%[%a+%]"); -- Find ini [], Example [dance]
			if v then -- check if [] exists
				TempChar = v; -- define [] as a temp local
			else
			v2 = string.match(c, "(.+=.+)"); -- check if = exist, Example Command=diffuse,1,1,1,1
				if v2 then -- check if = exists
					ReadChar[i] =  TempChar..v2; -- make table with combine [] and = depending on [], Example [dance] 1_Left=Key_W
					i = i + 1;
				end;
			end;
		end;
		for c2=1,#ReadChar do -- for every ReadChar value do
			v3 = string.match(ReadChar[c2], "%[(.+)%].+"); -- define the v3 as the [] from ReadChar
			if v3 == Gametype then -- Check if [] is dance
				v4 = string.match(ReadChar[c2], "%[.+%](.+)="); -- grab the value before the = and define it
				if v4 == Player.."_"..Button then -- check if value before the = is Button
					v5 = string.match(ReadChar[c2], "%[.+%].+=Key_(.-):.");
					if v5 then
						return v5;
					else 
						return Button;
					end;
				end;
			end;
		end;
	else
		return Button;
	end;
end--]]

local sButton = Var "Button";

local Colour = {
	Up = "#FF0000",
	Down = "#FF0000",
	Left = "#0000FF",
	Right = "#0000FF",
};

local Colour2 = {
	Up = "#FFFFFF",
	Down = "#FFFFFF",
	Left = "#666666",
	Right = "#666666",
};

local t = Def.ActorFrame {
	Def.Quad {
		InitCommand=cmd(diffuse,0,0,0,0.8;scaletoclipped,64,9001);	
	};
	Def.Quad {
		InitCommand=cmd(valign,1;diffuse,1,0,0,0.2;scaletoclipped,64,64;fadetop,1);	
	};
	Def.Quad {
		InitCommand=cmd(valign,1;diffuse,color(Colour[sButton]);scaletoclipped,64,768;fadetop,1;diffusealpha,0);	
		PressCommand=cmd(diffusealpha,0.5);
		LiftCommand=cmd(diffusealpha,0);
		
	};
	Def.Quad {
		InitCommand=cmd(valign,0;diffuse,0,0,0,1;scaletoclipped,64,108);	
	};
	Def.Quad {
		InitCommand=cmd(y,12;valign,0;diffuse,color(Colour2[sButton]);scaletoclipped,60,96);	
	};
	Def.Quad {
		InitCommand=cmd(y,12;valign,0;diffuse,1,1,1,0.5;scaletoclipped,60,48;fadebottom,1);	
	};
	Def.Quad {
		InitCommand=cmd(y,60;valign,0;diffuse,0,0,0,0.5;scaletoclipped,60,48);	
	};
	Def.Quad {
		InitCommand=cmd(scaletoclipped,64,16;diffuse,1,0,0,1;effectclock,"beat";queuecommand,"Flash");	
		FlashCommand=cmd(diffuseblink;effectcolor1,0.5,0,0,1;effectcolor2,1,0,0,1;effecttiming,0.5,0,0.5,0);
	};
	Def.Quad {
		OnCommand=cmd(y,12;valign,0;scaletoclipped,60,48;fadebottom,0.5;diffuse,0,0,0,0);
		PressCommand=cmd(diffusealpha,1);	
		LiftCommand=cmd(diffusealpha,0);
	};
	LoadFont("_open sans semibold 24px")..{
		Text=GetKey2(sButton,"dance","1");
		OnCommand=cmd(y,78);
	}
};

return t;
